#include <stdio.h> 

int main()
{
  int i, j;
  unsigned int m, n, s=0;
  
  scanf("%u%u", &m, &n);
  
  if(m<=0 || n<=0 || n>m)
  {
    printf("-1\n");
    return 0;
  }
  
  for (i=1; i<=m-n+1; i++)
  {
    for (j=i; j<n+i; j++)
      s+=j;
    printf("%u ", s);
    s=0;
  }
  
  printf("\n");
  
  return 0;
}
